認証
ベアラー トークンとして API キーを送信します。このエンドポイントでは仕様に特定の権限が記載されていないため、キーに必要な最小限の権限を付与し、推測するのではなくレスポンスを確認してください。
このエンドポイントは組織IDを受け付けません。お使いのキーによって所属する組織がすでに特定されており、レスポンスはその組織にスコープされます。
試してみる
アングルブラケット内のすべてをご自身の値に置き換え、キーのプレースホルダーをご利用中のダッシュボードのキーに置き換えてください。
curl -X POST https://api.zinndigital.com/v1/orgs \
-H "Authorization: Bearer zdk_live_…" \
-H "Content-Type: application/json" \
-d '{ "type": <OrgType>, "name": <string> }'ログインしていますか?ダッシュボード内のAPIコンソールでは、実際の組織IDやお客様ご自身のキーが自動入力され、ライブAPIに対してリクエストが実行されるため、実際のレスポンスを確認することができます。 API コンソールでこのエンドポイントを開く
詳細
Creates a child organization under the caller's org (reseller creating a client, etc.). Send an `Idempotency-Key` so retries never create duplicates (docs/09 §2).
パラメータ
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
Idempotency-Key (header) | string | いいえ | Client-generated key that makes an unsafe request replay-safe: the server stores the first response and returns it verbatim for repeats. |
リクエスト本文
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
type | OrgType | はい | Organization type in the tenancy tree. |
parent_org_id | Uuid | null | いいえ | Defaults to the caller's org when omitted. |
name | string | はい | — |
default_currency | CurrencyCode | いいえ | — |
返信
| 名前 | タイプ | 必須 | これがその内容です |
|---|---|---|---|
id | Uuid | はい | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
type | OrgType | はい | Organization type in the tenancy tree. |
parent_org_id | Uuid | null | いいえ | Parent in the tenancy tree; null for a top-level org. |
name | string | はい | — |
brand_id | object | いいえ | White-label brand applied to this org's surfaces. |
default_currency | CurrencyCode | はい | ISO 4217 currency code (money is minor units + this code — CLAUDE.md §2.8). |
status | string<active, suspended, closed> | はい | — |
created_at | string | はい | — |
このエンドポイントが返すエラー
401 · 403 · 409 · 422 · 429